EXPORT(3PVM)

NAME
pvm_export, pvm_unexport - Mark environment variables to export through spawn

SYNOPSIS
C	int cc = pvm_export( char *name )
	int cc = pvm_unexport( char *name )
Fortran	Not available

PARAMETERS

name
    Name of an environment variable to add to or delete from export list.

DESCRIPTION
The routines pvm_export and pvm_unexport are provided for convenience in editing environment variable PVM_EXPORT, while maintaining the colon-separated list syntax it requires. The variable can be modified by other means, and at the same time by the pvm_export functions.

pvm_export checks to see if a name is already in PVM_EXPORT before including it, and exporting a name more than once is not considered an error. Likewise, pvm_unexport will not complain if you specify a name not in PVM_EXPORT.

EXAMPLES
C:
	/* PVM_EXPORT=SHELL:HOME */
	pvm_export("DISPLAY");
	pvm_export("TERM");
	pvm_unexport("HOME");
	/* PVM_EXPORT=SHELL:DISPLAY:TERM */

ERRORS
No error conditions are currently returned by pvm_export and pvm_unexport.

SEE ALSO
pvm(1PVM) pvm_spawn(3PVM)